Bug 143938 - Boot crashes when detecting new hardware
Summary: Boot crashes when detecting new hardware
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-02 00:18 UTC by Clay Jackson
Modified: 2015-01-04 22:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 01:11:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsusb output AFTER modprobe usb_controller (3.70 KB, text/plain)
2005-01-02 00:20 UTC, Clay Jackson
no flags Details
dmesg output after successful boot (10.73 KB, text/plain)
2005-01-02 00:20 UTC, Clay Jackson
no flags Details

Description Clay Jackson 2005-01-02 00:18:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Kernel Panic occurs during 'Checking for new hardware' if a SANDISK
8-in-1 card reader is plugged into the USB bus at boot time.  Panic is
in SCSI_MOD module.  If you'll tell me how to capture the stack trace
at that time, I will do so.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Power off
2.Plug Sandisk device into USB port
3.Boot
    

Actual Results:  Crash/panic

Expected Results:  Clean boot

Additional info:

System is an ECS P6VEM3 motherboard, with the VIA C3 1.1 GigaPro
chipset.  Award BIOS dated 11/13/2002.   At boot, I also see a message
about the BIOS being too old for ACPI (which may or may not be
related) and the USB bus is registered and then DEREGISTERED.  To use
USB, I have to manually 'modprobe usb_controller'.

Comment 1 Clay Jackson 2005-01-02 00:20:00 UTC
Created attachment 109224 [details]
lsusb output AFTER modprobe usb_controller

Comment 2 Clay Jackson 2005-01-02 00:20:57 UTC
Created attachment 109225 [details]
dmesg output after successful boot

Comment 3 Sitsofe Wheeler 2005-01-02 11:44:52 UTC
Which kernel RPM version you are running?

Comment 4 Clay Jackson 2005-01-02 15:07:13 UTC
kernel-2.6.9-1.681_FC3

Comment 5 Dave Jones 2005-07-15 19:01:36 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 6 Dave Jones 2005-10-03 01:11:19 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.